Bug 1795816 - nautilus-python fails to build with gcc 10: multiple definition of _PyNautilus... etc.
Summary: nautilus-python fails to build with gcc 10: multiple definition of _PyNautilu...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-python
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Dignan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-28 23:33 UTC by Miro Hrončok
Modified: 2020-02-16 09:04 UTC (History)
7 users (show)

Fixed In Version: nautilus-python-1.2.3-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-16 09:04:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-28 23:33:33 UTC
nautilus-python fails to build with gcc 10:

make[2]: Entering directory '/builddir/build/BUILD/nautilus-python-1.2.3/src'
/bin/sh ../libtool  --tag=CC   --mode=link gcc  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -module -avoid-version -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -o libnautilus-python.la -rpath /usr/lib64/nautilus/extensions-3.0 nautilus-python.lo nautilus-python-object.lo -lnautilus-extension -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -lharfbuzz -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0  -lpython3.9 -lcrypt -lpthread -ldl  -lutil -lm -lm  
libtool: link: gcc -shared  -fPIC -DPIC  .libs/nautilus-python.o .libs/nautilus-python-object.o   -lnautilus-extension -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -lharfbuzz -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lpython3.9 -lcrypt -lpthread -ldl -lutil -lm -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -O2 -g -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -Wl,-z -Wl,relro -Wl,--as-needed -Wl,-z -Wl,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld   -Wl,-soname -Wl,libnautilus-python.so -o .libs/libnautilus-python.so
make[2]: Leaving directory '/builddir/build/BUILD/nautilus-python-1.2.3/src'
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:76: multiple definition of `_PyNautilusOperationHandle_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:76: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/usr/include/pygobject-3.0/pygobject.h:230: multiple definition of `_PyGObject_API'; .libs/nautilus-python.o:/usr/include/pygobject-3.0/pygobject.h:230: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:70: multiple definition of `_PyNautilusPropertyPage_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:70: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:64: multiple definition of `_PyNautilusMenuItem_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:64: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:49: multiple definition of `_PyNautilusColumn_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:49: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:46: multiple definition of `_PyGtkWidget_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:46: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:73: multiple definition of `_PyNautilusPropertyPageProvider_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:73: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:58: multiple definition of `_PyNautilusLocationWidgetProvider_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:58: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:67: multiple definition of `_PyNautilusMenuProvider_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:67: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:52: multiple definition of `_PyNautilusColumnProvider_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:52: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:55: multiple definition of `_PyNautilusInfoProvider_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:55: first defined here
/usr/bin/ld: .libs/nautilus-python-object.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:61: multiple definition of `_PyNautilusMenu_Type'; .libs/nautilus-python.o:/builddir/build/BUILD/nautilus-python-1.2.3/src/nautilus-python.h:61: first defined here
collect2: error: ld returned 1 exit status


This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Ben Cotton 2020-02-11 17:24:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:33:21 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Kalev Lember 2020-02-16 09:04:28 UTC
Already fixed in nautilus-python-1.2.3-4.fc32


Note You need to log in before you can comment on or make changes to this bug.